/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CmSocInsuranceDto extends BaseDto {
	
	private static final long	serialVersionUID	= -434426550128501863L;
	
	// フィールド
	private String				kCode				= "";					// 社員コード
	private Date				insExpectedDate;							// 社会保険適用年月
	private String				pensionType			= "";					// 厚生年金種別
	private String				parttimeType		= "";					// パート区分
	private String				employeeType		= "";					// 従業員区分
	private String				calcInsType			= "";					// 社会保険区分
	private String				nursingInsType		= "";					// 介護保険区分
	private String				calcUnemployType	= "";					// 雇用保険区分
	private String				bonusHealthType		= "";					// 健康保険賞与区分
	private String				bonusPensionType	= "";					// 厚生年金賞与区分
	private String				healthNo			= "";					// 健康保険番号
	private int					healthPayment		= 0;					// 健康保険標準報酬月額
	private Date				healthGetDate;								// 健康保険資格取得日
	private String				healthLostType		= "";					// 健康保険資格喪失区分
	private Date				healthLostDate;							// 健康保険資格喪失日
	private String				pensionNo			= "";					// 厚生年金整理番号
	private int					pensionPayment		= 0;					// 厚生年金標準報酬月額
	private Date				pensionGetDate;							// 厚生年金資格取得日
	private String				pensionLostType		= "";					// 厚生年金資格喪失区分
	private Date				pensionLostDate;							// 厚生年金資格喪失日
	private String				fundNo				= "";					// 厚生年金基金加入番号
	private Date				fundGetDate;								// 厚生年金基金資格取得日
	private String				unemployNo			= "";					// 雇用保険番号
	private Date				unemployGetDate;							// 雇用保険資格取得日
	private String				unemployLostType	= "";					// 雇用保険資格喪失区分
	private Date				unemployLostDate;							// 雇用保険資格喪失日
																			
	
	/**
	 * コンストラクタ
	 */
	public CmSocInsuranceDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getInsExpectedDate() {
		return getDateField(insExpectedDate);
	} // 社会保険適用年月
	
	public String getPensionType() {
		return pensionType;
	} // 厚生年金種別
	
	public String getParttimeType() {
		return parttimeType;
	} // パート区分
	
	public String getEmployeeType() {
		return employeeType;
	} // 従業員区分
	
	public String getCalcInsType() {
		return calcInsType;
	} // 社会保険区分
	
	public String getNursingInsType() {
		return nursingInsType;
	} // 介護保険区分
	
	public String getCalcUnemployType() {
		return calcUnemployType;
	} // 雇用保険区分
	
	public String getBonusHealthType() {
		return bonusHealthType;
	} // 健康保険賞与区分
	
	public String getBonusPensionType() {
		return bonusPensionType;
	} // 厚生年金賞与区分
	
	public String getHealthNo() {
		return healthNo;
	} // 健康保険番号
	
	public int getHealthPayment() {
		return healthPayment;
	} // 健康保険標準報酬月額
	
	public Date getHealthGetDate() {
		return getDateField(healthGetDate);
	} // 健康保険資格取得日
	
	public String getHealthLostType() {
		return healthLostType;
	} // 健康保険資格喪失区分
	
	public Date getHealthLostDate() {
		return getDateField(healthLostDate);
	} // 健康保険資格喪失日
	
	public String getPensionNo() {
		return pensionNo;
	} // 厚生年金整理番号
	
	public int getPensionPayment() {
		return pensionPayment;
	} // 厚生年金標準報酬月額
	
	public Date getPensionGetDate() {
		return getDateField(pensionGetDate);
	} // 厚生年金資格取得日
	
	public String getPensionLostType() {
		return pensionLostType;
	} // 厚生年金資格喪失区分
	
	public Date getPensionLostDate() {
		return getDateField(pensionLostDate);
	} // 厚生年金資格喪失日
	
	public String getFundNo() {
		return fundNo;
	} // 厚生年金基金加入番号
	
	public Date getFundGetDate() {
		return getDateField(fundGetDate);
	} // 厚生年金基金資格取得日
	
	public String getUnemployNo() {
		return unemployNo;
	} // 雇用保険番号
	
	public Date getUnemployGetDate() {
		return getDateField(unemployGetDate);
	} // 雇用保険資格取得日
	
	public String getUnemployLostType() {
		return unemployLostType;
	} // 雇用保険資格喪失区分
	
	public Date getUnemployLostDate() {
		return getDateField(unemployLostDate);
	} // 雇用保険資格喪失日
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setInsExpectedDate(Date insExpectedDate) {
		this.insExpectedDate = getDateField(insExpectedDate);
	} // 社会保険適用年月
	
	public void setPensionType(String pensionType) {
		this.pensionType = pensionType;
	} // 厚生年金種別
	
	public void setParttimeType(String parttimeType) {
		this.parttimeType = parttimeType;
	} // パート区分
	
	public void setEmployeeType(String employeeType) {
		this.employeeType = employeeType;
	} // 従業員区分
	
	public void setCalcInsType(String calcInsType) {
		this.calcInsType = calcInsType;
	} // 社会保険区分
	
	public void setNursingInsType(String nursingInsType) {
		this.nursingInsType = nursingInsType;
	} // 介護保険区分
	
	public void setCalcUnemployType(String calcUnemployType) {
		this.calcUnemployType = calcUnemployType;
	} // 雇用保険区分
	
	public void setBonusHealthType(String bonusHealthType) {
		this.bonusHealthType = bonusHealthType;
	} // 健康保険賞与区分
	
	public void setBonusPensionType(String bonusPensionType) {
		this.bonusPensionType = bonusPensionType;
	} // 厚生年金賞与区分
	
	public void setHealthNo(String healthNo) {
		this.healthNo = healthNo;
	} // 健康保険番号
	
	public void setHealthPayment(int healthPayment) {
		this.healthPayment = healthPayment;
	} // 健康保険標準報酬月額
	
	public void setHealthGetDate(Date healthGetDate) {
		this.healthGetDate = getDateField(healthGetDate);
	} // 健康保険資格取得日
	
	public void setHealthLostType(String healthLostType) {
		this.healthLostType = healthLostType;
	} // 健康保険資格喪失区分
	
	public void setHealthLostDate(Date healthLostDate) {
		this.healthLostDate = getDateField(healthLostDate);
	} // 健康保険資格喪失日
	
	public void setPensionNo(String pensionNo) {
		this.pensionNo = pensionNo;
	} // 厚生年金整理番号
	
	public void setPensionPayment(int pensionPayment) {
		this.pensionPayment = pensionPayment;
	} // 厚生年金標準報酬月額
	
	public void setPensionGetDate(Date pensionGetDate) {
		this.pensionGetDate = getDateField(pensionGetDate);
	} // 厚生年金資格取得日
	
	public void setPensionLostType(String pensionLostType) {
		this.pensionLostType = pensionLostType;
	} // 厚生年金資格喪失区分
	
	public void setPensionLostDate(Date pensionLostDate) {
		this.pensionLostDate = getDateField(pensionLostDate);
	} // 厚生年金資格喪失日
	
	public void setFundNo(String fundNo) {
		this.fundNo = fundNo;
	} // 厚生年金基金加入番号
	
	public void setFundGetDate(Date fundGetDate) {
		this.fundGetDate = getDateField(fundGetDate);
	} // 厚生年金基金資格取得日
	
	public void setUnemployNo(String unemployNo) {
		this.unemployNo = unemployNo;
	} // 雇用保険番号
	
	public void setUnemployGetDate(Date unemployGetDate) {
		this.unemployGetDate = getDateField(unemployGetDate);
	} // 雇用保険資格取得日
	
	public void setUnemployLostType(String unemployLostType) {
		this.unemployLostType = unemployLostType;
	} // 雇用保険資格喪失区分
	
	public void setUnemployLostDate(Date unemployLostDate) {
		this.unemployLostDate = getDateField(unemployLostDate);
	} // 雇用保険資格喪失日
	
}
